class_name SaveGameSettings
extends Resource


## See documentation to where this path is: https://docs.godotengine.org/en/stable/tutorials/io/data_paths.html#accessing-persistent-user-data-user[br][br]
##		Default Paths:[br]
##		* Windows: %APPDATA%\Godot\app_userdata\[project_name][br]
##		* macOS: ~/Library/Application Support/Godot/app_userdata/[project_name][br]
##		* Linux: ~/.local/share/godot/app_userdata/[project_name][br]
@export var save_game_data_path: String = "user://game_data/"
@export var max_autosaves: int = 5

@export var autosave_duration: int = 60 ## How often, in seconds, should an autosave run[br]SaveGameManager will NOT autostart the autosave timer. This must be done by the world/scene.

@export var save_file_name_prepend: String = "save_"
@export var quicksave_file_name_prepend: String = "quicksave_"
@export var autosave_file_name_prepend: String = "autosave_"

@export var default_save_icon_resource: CompressedTexture2D
